<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>web-dev-beginner-roadmap</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="the-first-thing-you-should-learn-is-git-and-gtihub">The First thing you should learn is Git and Gtihub</h1>
<ul>
<li><a href="https://www.youtube.com/watch?v=evknSAkUIvs&amp;list=PLu0W_9lII9agwhy658ZPA0MTStKUJTWPi">Git and Github Code With Harry Detailed PlayList</a></li>
<li><a href="https://www.youtube.com/watch?v=gwWKnnCMQ5c&amp;t=1657s">Git And Github in one Video</a></li>
<li><a href="https://www.youtube.com/watch?v=G14WMD8Kg3U">Git Tutorial: How to Upload your Projects to Git &amp; GitHub</a></li>
<li><a href="https://www.youtube.com/watch?v=LooNWF67jrk">Github Profile Readme (Markdown template) | Improve Your Github profiles</a></li>
<li><a href="https://github.com/arpit456jain/arpit456jain">Github Profile sample</a></li>
</ul>
<p>Note : If you want to make your first pull request and your are confused You can make it on this repo . There is a file named contibutors.md , just add your name in that and make PR.</p>
<h1 id="learn-basics-of-htmlcss">Learn Basics of HTML,CSS</h1>
<ul>
<li><a href="https://www.w3schools.com/html/">W3school Website</a></li>
<li><a href="https://www.youtube.com/watch?v=BsDoLVMnmZs">Html in one Video (3 hours)</a></li>
<li><a href="https://www.youtube.com/watch?v=Edsxf_NBFrw">Css in one video (8 hours)</a></li>
<li><a href="https://www.youtube.com/watch?v=6mbwJ2xhgzM&amp;list=PLu0W_9lII9agiCUZYRsvtGTXdxkzPyItg">Code with Harry Full playlist for Web d</a></li>
<li><a href="https://www.youtube.com/watch?v=q9VvA1Adpr0">How To Make Responsive Website Without Using Bootstrap In Simple Html &amp; Css.</a></li>
<li><a href="https://www.youtube.com/watch?v=mU6anWqZJcc">Learn HTML5 and CSS3 From Scratch by FreeCodeCamp</a></li>
</ul>
<h1 id="learn-about-bootstrap-for-making-website-responsive">Learn about Bootstrap for making website responsive</h1>
<ul>
<li><a href="https://www.youtube.com/watch?v=wkSA9bfCmKU&amp;list=PL0b6OzIxLPbz1cgxiH5KCBsyQij1HsPtG&amp;index=1">Bootstrap Tutorial for beginners in Hindi</a></li>
<li><a href="https://www.youtube.com/watch?v=QE5oQh63gGE">Basics of Bootstrap in one video</a></li>
</ul>
<h1 id="learn-javascript">Learn JavaScript</h1>
<ul>
<li><a href="https://www.youtube.com/watch?v=cvvwkgp4HBg&amp;list=PLu0W_9lII9ajyk081To1Cbt2eI5913SsL">Basics of Js</a></li>
<li><a href="https://www.youtube.com/watch?v=hKB-YGF14SY">Js in one video with Projects in JS</a></li>
<li><a href="https://www.youtube.com/watch?v=3PHXvlpOkf4&amp;t=20575s">Build 15 JavaScript Projects - Vanilla JavaScript Course</a></li>
<li><a href="https://javascript30.com/">30 days of JavaScript</a></li>
</ul>
<h1 id="learn-react">Learn React</h1>
<ul>
<li><a href="https://www.youtube.com/watch?v=nTeuhbP7wdE">React JS Course for Beginners by FreeCodeCamp</a></li>
<li><a href="https://www.youtube.com/watch?v=-cMqr9HpZ-Y">React JS Tutorial for Beginners by Clever Programmer</a></li>
</ul>
<h2 id="best-resource-to-learn-php-mysql-for-backend-development">Best Resource to Learn PHP MYSQL For Backend Development</h2>
<ul>
<li><a href="https://youtube.com/playlist?list=PLwGdqUZWnOp1U4kemcU_vF9KQuHXlNxkb">PHP MYSQL Tutorial In Hindi by Thapa Technical</a></li>
</ul>
<h2 id="ces-events-website">CES Events website</h2>
<table>
<thead>
<tr class="header">
<th>Name</th>
<th>Website url</th>
<th>and source code</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><a href="https://wield-the-web.netlify.app/">Wield the web</a></td>
<td><a href="https://wield-the-web.netlify.app/">hosted link</a></td>
<td><a href="https://github.com/arpit456jain/Wield-The-Web">source code</a></td>
</tr>
<tr class="even">
<td><a href="https://debugger-king.netlify.app/">Debugger-King</a></td>
<td><a href="https://debugger-king.netlify.app/">hosted link</a></td>
<td><a href="https://github.com/arpit456jain/Debugger-King">source code</a></td>
</tr>
<tr class="odd">
<td><a href="https://ces-ctf.netlify.app/">CTF</a></td>
<td><a href="https://ces-ctf.netlify.app/">hosted link</a></td>
<td><a href="https://github.com/arpit456jain/ctf_main">source code</a></td>
</tr>
<tr class="even">
<td><a href="https://arpit456jain.github.io/Chakravyuh/Chakravyuh2/">Chakravyuh</a></td>
<td><a href="https://arpit456jain.github.io/Chakravyuh/Chakravyuh2/">hosted link</a></td>
<td><a href="https://github.com/arpit456jain/Chakravyuh">source code</a></td>
</tr>
<tr class="odd">
<td><a href="https://arpit456jain.github.io/CES/Matrix/">Matrix</a></td>
<td><a href="https://arpit456jain.github.io/CES/Matrix/">hosted link</a></td>
<td><a href="https://github.com/arpit456jain/CES">source code</a></td>
</tr>
<tr class="even">
<td><a href="https://www.code-smashers.ga/">CodeSmashers</a></td>
<td><a href="https://www.code-smashers.ga/">hosted link</a></td>
<td><a href="https://github.com/prakharritik/Code-Smashers">source code</a></td>
</tr>
</tbody>
</table>
<h1 id="useful-repos">Useful Repos:</h1>
<h2 id="front-end-related">Front end Related</h2>
<ul>
<li><a href="https://github.com/arpit456jain/Cool-Front-End_Templates">Cool Front End Templates</a></li>
<li><a href="https://github.com/arpit456jain/Amazing-Js-Projects">Amazing Js projects</a></li>
<li><a href="https://github.com/arpit456jain/Amazing-Css-Effects">Amazing Css effects</a></li>
</ul>
</body>
</html>
